Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -1945,24 +4098,1277 @@
 =head3 XMP PixelLive Tags
 
-PixelLive schema tags.  These tags are not writable becase they are very
+PixelLive namespace tags.  These tags are not writable because they are very
 uncommon and I haven't been able to locate a reference which gives the
 namespace URI.
 
+These tags belong to the ExifTool XMP-PixelLive family 1 group.
+
   Tag Name                                      Writable
   --------                                      --------
-  Author                                        N
-  Comments                                      N
-  Copyright                                     N
-  Date                                          N
-  Genre                                         N
-  Title                                         N
-
-=head3 XMP plus Tags
-
-PLUS License Data Format 1.2.0 schema tags.  Note that all
-controlled-vocabulary tags in this table (ie. tags with a fixed set of
-values) have raw values which begin with "http://ns.useplus.org/ldf/vocab/",
-but to reduce clutter this prefix has been removed from the values shown
-below.  (see L<http://ns.useplus.org/>)
+  Author                                        no
+  Comments                                      no
+  Copyright                                     no
+  Date                                          no
+  Genre                                         no
+  Title                                         no
+
+=head3 XMP pmi Tags
+
+PRISM Metadata for Images 3.0 namespace tags.  (see
+L<http://www.prismstandard.org/>)
+
+These tags belong to the ExifTool XMP-pmi family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Color                                         string/
+  ContactInfo                                   string/
+  DisplayName                                   string/
+  DistributorProductID                          string/
+  EventAlias                                    string/
+  EventEnd                                      string/
+  EventStart                                    string/
+  EventSubtype                                  string/
+  EventType                                     string/
+  Field                                         string/
+  Framing                                       string/
+  Location                                      string/
+  Make                                          string/
+  Manufacturer                                  string/
+  Model                                         string/
+  ModelYear                                     string/
+  ObjectDescription                             string/
+  ObjectSubtype                                 string/
+  ObjectType                                    string/
+  Orientation                                   string/
+  PositionDescriptor                            string/
+  ProductID                                     string/
+  ProductIDType                                 string/
+  Season                                        string/
+  SequenceName                                  string/
+  SequenceNumber                                string/
+  SequenceTotalNumber                           string/
+  Setting                                       string/
+  ShootID                                       string/
+  SlideshowName                                 string/
+  SlideshowNumber                               integer/
+  SlideshowTotalNumber                          integer/
+  Viewpoint                                     string/
+  VisualTechnique                               string/
+
+=head3 XMP prism Tags
+
+Publishing Requirements for Industry Standard Metadata 3.0 namespace
+tags.  (see L<http://www.prismstandard.org/>)
+
+These tags belong to the ExifTool XMP-prism family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AcademicField                                 string/
+  AggregateIssueNumber                          integer/
+  AggregationType                               string/+
+  AlternateTitle                                prismAlternateTitle Struct+
+  AlternateTitleA-lang                          string/_+
+  AlternateTitleA-platform                      string/_+
+  AlternateTitleText                            string/_+
+  BlogTitle                                     string/
+  BlogURL                                       string/
+  BookEdition                                   string/
+  ByteCount                                     integer/
+  Channel                                       prismChannel Struct+
+  ChannelA-lang                                 string/_+
+  ChannelChannel                                string/_+
+  ChannelSubchannel1                            string/_+
+  ChannelSubchannel2                            string/_+
+  ChannelSubchannel3                            string/_+
+  ChannelSubchannel4                            string/_+
+  ComplianceProfile                             string/
+  ContentType                                   string/
+  CopyrightYear                                 string/
+  CorporateEntity                               string/+
+  CoverDate                                     date/
+  CoverDisplayDate                              string/
+  CreationDate                                  date/
+  DateRecieved                                  date/
+  Device                                        string/
+  Distributor                                   string/
+  DOI                                           string/
+  Edition                                       string/
+  EIssn                                         string/
+  EndingPage                                    string/
+  Event                                         string/+
+  Genre                                         string/+
+  HasAlternative                                string/+
+  HasCorrection                                 prismHasCorrection Struct
+  HasCorrectionA-lang                           string/_
+  HasCorrectionA-platform                       string/_
+  HasCorrectionText                             string/_
+  HasTranslation                                string/+
+  Industry                                      string/+
+  IsAlternativeOf                               string/+
+  ISBN                                          string/+
+  IsCorrectionOf                                string/+
+  ISSN                                          string/
+  IssueIdentifier                               string/
+  IssueName                                     string/
+  IssueTeaser                                   string/
+  IssueType                                     string/
+  IsTranslationOf                               string/
+  Keyword                                       string/+
+  KillDate                                      prismKillDate Struct
+  KillDateA-platform                            string/_
+  KillDateDate                                  date/_
+  Link                                          string/+
+  Location                                      string/+
+  ModificationDate                              date/
+  NationalCatalogNumber                         string/
+  Number                                        string/
+  Object                                        string/+
+  OffSaleDate                                   prismOffSaleDate Struct+
+  OffSaleDateA-platform                         string/_+
+  OffSaleDateDate                               date/_+
+  OnSaleDate                                    prismOnSaleDate Struct+
+  OnSaleDateA-platform                          string/_+
+  OnSaleDateDate                                date/_+
+  OnSaleDay                                     prismOnSaleDay Struct+
+  OnSaleDayA-platform                           string/_+
+  OnSaleDayDay                                  string/_+
+  Organization                                  string/+
+  OriginPlatform                                string/+
+  PageCount                                     integer/
+  PageProgressionDirection                      string/
+  PageRange                                     string/+
+  Person                                        string/
+  Platform                                      string/
+  ProductCode                                   string/
+  Profession                                    string/
+  PublicationDate                               prismPublicationDate Struct+
+  PublicationDateA-platform                     string/_+
+  PublicationDateDate                           date/_+
+  PublicationDisplayDate                        prismPublicationDate Struct+
+  PublicationDisplayDateA-platform              string/_+
+  PublicationDisplayDateDate                    date/_+
+  PublicationName                               string/
+  PublishingFrequency                           string/
+  Rating                                        string/
+  SamplePageRange                               string/
+  Section                                       string/
+  SellingAgency                                 string/
+  SeriesNumber                                  integer/
+  SeriesTitle                                   string/
+  Sport                                         string/
+  StartingPage                                  string/
+  Subsection1                                   string/
+  Subsection2                                   string/
+  Subsection3                                   string/
+  Subsection4                                   string/
+  Subtitle                                      string/
+  SupplementDisplayID                           string/
+  SupplementStartingPage                        string/
+  SupplementTitle                               string/
+  Teaser                                        string/+
+  Ticker                                        string/+
+  TimePeriod                                    string/
+  URL                                           prismUrl Struct+
+  URLA-platform                                 string/_+
+  URLUrl                                        string/_+
+  UspsNumber                                    string/
+  VersionIdentifier                             string/
+  Volume                                        string/
+  WordCount                                     integer/
+
+=head3 XMP prismAlternateTitle Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-lang                                        string
+  A-platform                                    string
+  Text                                          string
+
+=head3 XMP prismChannel Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-lang                                        string
+  Channel                                       string
+  Subchannel1                                   string
+  Subchannel2                                   string
+  Subchannel3                                   string
+  Subchannel4                                   string
+
+=head3 XMP prismHasCorrection Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-lang                                        string
+  A-platform                                    string
+  Text                                          string
+
+=head3 XMP prismKillDate Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-platform                                    string
+  Date                                          date
+
+=head3 XMP prismOffSaleDate Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-platform                                    string
+  Date                                          date
+
+=head3 XMP prismOnSaleDate Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-platform                                    string
+  Date                                          date
+
+=head3 XMP prismOnSaleDay Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-platform                                    string
+  Day                                           string
+
+=head3 XMP prismPublicationDate Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-platform                                    string
+  Date                                          date
+
+=head3 XMP prismUrl Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A-platform                                    string
+  Url                                           string
+
+=head3 XMP prl Tags
+
+PRISM Rights Language 2.1 namespace tags.  These tags have been deprecated
+since the release of the PRISM Usage Rights 3.0. (see
+L<http://www.prismstandard.org/>)
+
+These tags belong to the ExifTool XMP-prl family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Geography                                     string/+
+  Industry                                      string/+
+  Usage                                         string/+
+
+=head3 XMP prm Tags
+
+PRISM Recipe Metadata 3.0 namespace tags.  (see
+L<http://www.prismstandard.org/>)
+
+These tags belong to the ExifTool XMP-prm family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CookingEquipment                              string/
+  CookingMethod                                 string/
+  Course                                        string/
+  Cuisine                                       string/
+  DietaryNeeds                                  string/
+  DishType                                      string/
+  Duration                                      string/
+  IngredientExclusion                           string/
+  MainIngredient                                string/
+  Meal                                          string/
+  RecipeEndingPage                              string/
+  RecipePageRange                               string/
+  RecipeSource                                  string/
+  RecipeStartingPage                            string/
+  RecipeTitle                                   string/
+  ServingSize                                   string/
+  SkillLevel                                    string/
+  SpecialOccasion                               string/
+  Yield                                         string/
+
+=head3 XMP pur Tags
+
+PRISM Usage Rights 3.0 namespace tags.  (see
+L<http://www.prismstandard.org/>)
+
+These tags belong to the ExifTool XMP-pur family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AdultContentWarning                           string/+
+  Agreement                                     string/+
+  Copyright                                     lang-alt/
+  CreditLine                                    string/+
+  EmbargoDate                                   date/+
+  ExclusivityEndDate                            date/+
+  ExpirationDate                                date/+
+  ImageSizeRestriction                          string/
+  OptionEndDate                                 date/+
+  Permissions                                   string/+
+  Restrictions                                  string/+
+  ReuseProhibited                               boolean/
+  RightsAgent                                   string/
+  RightsOwner                                   string/
+
+=head3 XMP rdf Tags
+
+Most RDF attributes are handled internally, but the "about" attribute is
+treated specially to allow it to be set to a specific value if required.
+
+These tags belong to the ExifTool XMP-rdf family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  About                                         string!
+
+=head3 XMP swf Tags
+
+Adobe SWF namespace tags.
+
+These tags belong to the ExifTool XMP-swf family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  BackgroundAlpha                               integer
+  ForwardLock                                   boolean
+  MaxStorage                                    integer
+  Type                                          string/
+
+=head3 XMP tiff Tags
+
+EXIF namespace for TIFF tags.  See
+L<https://web.archive.org/web/20180921145139if_/http://www.cipa.jp:80/std/documents/e/DC-010-2017_E.pdf>
+for the specification.
+
+These tags belong to the ExifTool XMP-tiff family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Artist                                        string
+  BitsPerSample                                 integer+
+  Compression                                   integer
+  Copyright                                     lang-alt
+  DateTime                                      date
+  ImageDescription                              lang-alt
+  ImageHeight                                   integer
+  ImageWidth                                    integer
+  Make                                          string
+  Model                                         string
+  NativeDigest                                  string
+  Orientation                                   integer
+  PhotometricInterpretation                     integer
+  PlanarConfiguration                           integer
+  PrimaryChromaticities                         rational+
+  ReferenceBlackWhite                           rational+
+  ResolutionUnit                                integer
+  SamplesPerPixel                               integer
+  Software                                      string
+  TransferFunction                              integer+
+  WhitePoint                                    rational+
+  XResolution                                   rational
+  YCbCrCoefficients                             rational+
+  YCbCrPositioning                              integer
+  YCbCrSubSampling                              integer+
+  YResolution                                   rational
+
+=head3 XMP x Tags
+
+The "x" namespace is used for the "xmpmeta" wrapper, and may contain an
+"xmptk" attribute that is extracted as the XMPToolkit tag.  When writing,
+the XMPToolkit tag is generated automatically by ExifTool unless
+specifically set to another value.
+
+These tags belong to the ExifTool XMP-x family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  XMPToolkit                                    string!
+
+=head3 XMP xmp Tags
+
+XMP namespace tags.  If the older "xap", "xapBJ", "xapMM" or "xapRights"
+namespace prefixes are found, they are translated to the newer "xmp",
+"xmpBJ", "xmpMM" and "xmpRights" prefixes for use in family 1 group names.
+
+These tags belong to the ExifTool XMP-xmp family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Advisory                                      string+
+  Author                                        string/
+  BaseURL                                       string
+  CreateDate                                    date
+  CreatorTool                                   string
+  Description                                   lang-alt/
+  Format                                        string/
+  Identifier                                    string/+
+  Keywords                                      string/
+  Label                                         string
+  MetadataDate                                  date
+  ModifyDate                                    date
+  Nickname                                      string
+  PageInfo                                      PageInfo Struct+
+  PageImageFormat                               string_+
+  PageImageHeight                               integer_+
+  PageImage                                     string_+
+  PageImagePageNumber                           integer_+
+  PageImageWidth                                integer_+
+  Rating                                        real
+  RatingPercent                                 real/
+  Thumbnails                                    Thumbnail Struct+
+  ThumbnailFormat                               string_+
+  ThumbnailHeight                               integer_+
+  ThumbnailImage                                string/_+
+  ThumbnailWidth                                integer_+
+  Title                                         lang-alt/
+
+=head3 XMP PageInfo Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  PageNumber                                    integer
+  Format                                        string
+  Height                                        integer
+  Image                                         string
+  Width                                         integer
+
+=head3 XMP Thumbnail Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Format                                        string
+  Height                                        integer
+  Image                                         string
+  Width                                         integer
+
+=head3 XMP xmpBJ Tags
+
+XMP Basic Job Ticket namespace tags.
+
+These tags belong to the ExifTool XMP-xmpBJ family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  JobRef                                        JobRef Struct+
+  JobRefId                                      string_+
+  JobRefName                                    string_+
+  JobRefUrl                                     string_+
+
+=head3 XMP JobRef Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Id                                            string
+  Name                                          string
+  Url                                           string
+
+=head3 XMP xmpDM Tags
+
+XMP Dynamic Media namespace tags.
+
+These tags belong to the ExifTool XMP-xmpDM family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AbsPeakAudioFilePath                          string
+  Album                                         string
+  AltTapeName                                   string
+  AltTimecode                                   Timecode Struct
+  AltTimecodeTimeFormat                         string_
+  AltTimecodeTimeValue                          string_
+  AltTimecodeValue                              integer_
+  Artist                                        string/
+  AudioChannelType                              string
+  AudioCompressor                               string
+  AudioModDate                                  date
+  AudioSampleRate                               integer
+  AudioSampleType                               string
+  BeatSpliceParams                              BeatSpliceStretch Struct
+  BeatSpliceParamsRiseInDecibel                 real_
+  BeatSpliceParamsRiseInTimeDuration            Time Struct_
+  BeatSpliceParamsRiseInTimeDurationScale       rational_
+  BeatSpliceParamsRiseInTimeDurationValue       integer_
+  BeatSpliceParamsUseFileBeatsMarker            boolean_
+  CameraAngle                                   string
+  CameraLabel                                   string
+  CameraModel                                   string
+  CameraMove                                    string
+  Client                                        string
+  DMComment                                     string
+  Composer                                      string
+  ContributedMedia                              Media Struct+
+  ContributedMediaDuration                      Time Struct_+
+  ContributedMediaDurationScale                 rational_+
+  ContributedMediaDurationValue                 integer_+
+  ContributedMediaManaged                       boolean_+
+  ContributedMediaPath                          string_+
+  ContributedMediaStartTime                     Time Struct_+
+  ContributedMediaStartTimeScale                rational_+
+  ContributedMediaStartTimeValue                integer_+
+  ContributedMediaTrack                         string_+
+  ContributedMediaWebStatement                  string_+
+  Copyright                                     string/
+  Director                                      string
+  DirectorPhotography                           string
+  DiscNumber                                    string
+  Duration                                      Time Struct
+  DurationScale                                 rational_
+  DurationValue                                 integer_
+  Engineer                                      string
+  FileDataRate                                  rational
+  Genre                                         string
+  Good                                          boolean
+  Instrument                                    string
+  IntroTime                                     Time Struct
+  IntroTimeScale                                rational_
+  IntroTimeValue                                integer_
+  Key                                           string
+  LogComment                                    string
+  Loop                                          boolean
+  Lyrics                                        string
+  Markers                                       Marker Struct+
+  MarkersComment                                string_+
+  MarkersCuePointParams                         CuePointParam Struct_+
+  MarkersCuePointParamsKey                      string_+
+  MarkersCuePointParamsValue                    string_+
+  MarkersCuePointType                           string_+
+  MarkersDuration                               string_+
+  MarkersLocation                               string_+
+  MarkersName                                   string_+
+  MarkersProbability                            real_+
+  MarkersSpeaker                                string_+
+  MarkersStartTime                              string_+
+  MarkersTarget                                 string_+
+  MarkersType                                   string_+
+  MetadataModDate                               date
+  NumberOfBeats                                 real
+  OutCue                                        Time Struct
+  OutCueScale                                   rational_
+  OutCueValue                                   integer_
+  PartOfCompilation                             boolean
+  ProjectName                                   string
+  ProjectRef                                    ProjectLink Struct
+  ProjectRefPath                                string_
+  ProjectRefType                                string_
+  PullDown                                      string
+  RelativePeakAudioFilePath                     string
+  RelativeTimestamp                             Time Struct
+  RelativeTimestampScale                        rational_
+  RelativeTimestampValue                        integer_
+  ReleaseDate                                   date
+  ResampleParams                                ResampleStretch Struct
+  ResampleParamsQuality                         string_
+  ScaleType                                     string
+  Scene                                         string/
+  ShotDate                                      date
+  ShotDay                                       string
+  ShotLocation                                  string
+  ShotName                                      string
+  ShotNumber                                    string
+  ShotSize                                      string
+  SpeakerPlacement                              string
+  StartTimecode                                 Timecode Struct
+  StartTimecodeTimeFormat                       string_
+  StartTimecodeTimeValue                        string_
+  StartTimecodeValue                            integer_
+  StartTimeSampleSize                           integer
+  StartTimeScale                                string
+  StretchMode                                   string
+  TakeNumber                                    integer
+  TapeName                                      string
+  Tempo                                         real
+  TimeScaleParams                               TimeScaleStretch Struct
+  TimeScaleParamsFrameOverlappingPercentage     real_
+  TimeScaleParamsFrameSize                      real_
+  TimeScaleParamsQuality                        string_
+  TimeSignature                                 string
+  TrackNumber                                   integer
+  Tracks                                        Track Struct+
+  TracksFrameRate                               string_+
+  TracksMarkers                                 Marker Struct_+
+  TracksMarkersComment                          string_+
+  TracksMarkersCuePointParams                   CuePointParam Struct_+
+  TracksMarkersCuePointParamsKey                string_+
+  TracksMarkersCuePointParamsValue              string_+
+  TracksMarkersCuePointType                     string_+
+  TracksMarkersDuration                         string_+
+  TracksMarkersLocation                         string_+
+  TracksMarkersName                             string_+
+  TracksMarkersProbability                      real_+
+  TracksMarkersSpeaker                          string_+
+  TracksMarkersStartTime                        string_+
+  TracksMarkersTarget                           string_+
+  TracksMarkersType                             string_+
+  TracksTrackName                               string_+
+  TracksTrackType                               string_+
+  VideoAlphaMode                                string
+  VideoAlphaPremultipleColor                    Colorant Struct
+  VideoAlphaPremultipleColorA                   integer_
+  VideoAlphaPremultipleColorB                   integer_
+  VideoAlphaPremultipleColorBlack               real_
+  VideoAlphaPremultipleColorBlue                integer_
+  VideoAlphaPremultipleColorCyan                real_
+  VideoAlphaPremultipleColorGray                integer_
+  VideoAlphaPremultipleColorGreen               integer_
+  VideoAlphaPremultipleColorL                   real_
+  VideoAlphaPremultipleColorMagenta             real_
+  VideoAlphaPremultipleColorMode                string_
+  VideoAlphaPremultipleColorRed                 integer_
+  VideoAlphaPremultipleColorSwatchName          string_
+  VideoAlphaPremultipleColorTint                integer_
+  VideoAlphaPremultipleColorType                string_
+  VideoAlphaPremultipleColorYellow              real_
+  VideoAlphaUnityIsTransparent                  boolean
+  VideoColorSpace                               string
+  VideoCompressor                               string
+  VideoFieldOrder                               string
+  VideoFrameRate                                real
+  VideoFrameSize                                Dimensions Struct
+  VideoFrameSizeH                               real_
+  VideoFrameSizeUnit                            string_
+  VideoFrameSizeW                               real_
+  VideoModDate                                  date
+  VideoPixelAspectRatio                         rational
+  VideoPixelDepth                               string
+
+=head3 XMP BeatSpliceStretch Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  RiseInDecibel                                 real
+  RiseInTimeDuration                            Time Struct
+  UseFileBeatsMarker                            boolean
+
+=head3 XMP Time Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Scale                                         rational
+  Value                                         integer
+
+=head3 XMP Media Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Duration                                      Time Struct
+  Managed                                       boolean
+  Path                                          string
+  StartTime                                     Time Struct
+  Track                                         string
+  WebStatement                                  string
+
+=head3 XMP Marker Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Comment                                       string
+  CuePointParams                                CuePointParam Struct+
+  CuePointType                                  string
+  Duration                                      string
+  Location                                      string
+  Name                                          string
+  Probability                                   real
+  Speaker                                       string
+  StartTime                                     string
+  Target                                        string
+  Type                                          string
+
+=head3 XMP CuePointParam Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Key                                           string
+  Value                                         string
+
+=head3 XMP ProjectLink Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Path                                          string
+  Type                                          string
+
+=head3 XMP ResampleStretch Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Quality                                       string
+
+=head3 XMP TimeScaleStretch Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  FrameOverlappingPercentage                    real
+  FrameSize                                     real
+  Quality                                       string
+
+=head3 XMP Track Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  FrameRate                                     string
+  Markers                                       Marker Struct+
+  TrackName                                     string
+  TrackType                                     string
+
+=head3 XMP Colorant Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  A                                             integer
+  B                                             integer
+  L                                             real
+  Black                                         real
+  Blue                                          integer
+  Cyan                                          real
+  Gray                                          integer
+  Green                                         integer
+  Magenta                                       real
+  Mode                                          string
+  Red                                           integer
+  SwatchName                                    string
+  Tint                                          integer
+  Type                                          string
+  Yellow                                        real
+
+=head3 XMP Dimensions Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  H                                             real
+  Unit                                          string
+  W                                             real
+
+=head3 XMP xmpMM Tags
+
+XMP Media Management namespace tags.
+
+These tags belong to the ExifTool XMP-xmpMM family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  DerivedFrom                                   ResourceRef Struct
+  DerivedFromAlternatePaths                     string_+
+  DerivedFromDocumentID                         string_
+  DerivedFromFilePath                           string_
+  DerivedFromFromPart                           string_
+  DerivedFromInstanceID                         string_
+  DerivedFromLastModifyDate                     date_
+  DerivedFromLastURL                            string_
+  DerivedFromLinkCategory                       string_
+  DerivedFromLinkForm                           string_
+  DerivedFromManager                            string_
+  DerivedFromManagerVariant                     string_
+  DerivedFromManageTo                           string_
+  DerivedFromManageUI                           string_
+  DerivedFromMaskMarkers                        string_
+  DerivedFromOriginalDocumentID                 string_
+  DerivedFromPartMapping                        string_
+  DerivedFromPlacedResolutionUnit               string_
+  DerivedFromPlacedXResolution                  string_
+  DerivedFromPlacedYResolution                  string_
+  DerivedFromRenditionClass                     string_
+  DerivedFromRenditionParams                    string_
+  DerivedFromToPart                             string_
+  DerivedFromVersionID                          string_
+  DocumentID                                    string
+  History                                       ResourceEvent Struct+
+  HistoryAction                                 string_+
+  HistoryChanged                                string_+
+  HistoryInstanceID                             string_+
+  HistoryParameters                             string_+
+  HistorySoftwareAgent                          string_+
+  HistoryWhen                                   date_+
+  Ingredients                                   ResourceRef Struct+
+  IngredientsAlternatePaths                     string_+
+  IngredientsDocumentID                         string_+
+  IngredientsFilePath                           string_+
+  IngredientsFromPart                           string_+
+  IngredientsInstanceID                         string_+
+  IngredientsLastModifyDate                     date_+
+  IngredientsLastURL                            string_+
+  IngredientsLinkCategory                       string_+
+  IngredientsLinkForm                           string_+
+  IngredientsManager                            string_+
+  IngredientsManagerVariant                     string_+
+  IngredientsManageTo                           string_+
+  IngredientsManageUI                           string_+
+  IngredientsMaskMarkers                        string_+
+  IngredientsOriginalDocumentID                 string_+
+  IngredientsPartMapping                        string_+
+  IngredientsPlacedResolutionUnit               string_+
+  IngredientsPlacedXResolution                  string_+
+  IngredientsPlacedYResolution                  string_+
+  IngredientsRenditionClass                     string_+
+  IngredientsRenditionParams                    string_+
+  IngredientsToPart                             string_+
+  IngredientsVersionID                          string_+
+  InstanceID                                    string
+  LastURL                                       string
+  ManagedFrom                                   ResourceRef Struct
+  ManagedFromAlternatePaths                     string_+
+  ManagedFromDocumentID                         string_
+  ManagedFromFilePath                           string_
+  ManagedFromFromPart                           string_
+  ManagedFromInstanceID                         string_
+  ManagedFromLastModifyDate                     date_
+  ManagedFromLastURL                            string_
+  ManagedFromLinkCategory                       string_
+  ManagedFromLinkForm                           string_
+  ManagedFromManager                            string_
+  ManagedFromManagerVariant                     string_
+  ManagedFromManageTo                           string_
+  ManagedFromManageUI                           string_
+  ManagedFromMaskMarkers                        string_
+  ManagedFromOriginalDocumentID                 string_
+  ManagedFromPartMapping                        string_
+  ManagedFromPlacedResolutionUnit               string_
+  ManagedFromPlacedXResolution                  string_
+  ManagedFromPlacedYResolution                  string_
+  ManagedFromRenditionClass                     string_
+  ManagedFromRenditionParams                    string_
+  ManagedFromToPart                             string_
+  ManagedFromVersionID                          string_
+  Manager                                       string
+  ManagerVariant                                string
+  ManageTo                                      string
+  ManageUI                                      string
+  Manifest                                      ManifestItem Struct+
+  ManifestLinkForm                              string_+
+  ManifestPlacedResolutionUnit                  string_+
+  ManifestPlacedXResolution                     real_+
+  ManifestPlacedYResolution                     real_+
+  ManifestReference                             ResourceRef Struct_+
+  ManifestReferenceAlternatePaths               string_+
+  ManifestReferenceDocumentID                   string_+
+  ManifestReferenceFilePath                     string_+
+  ManifestReferenceFromPart                     string_+
+  ManifestReferenceInstanceID                   string_+
+  ManifestReferenceLastModifyDate               date_+
+  ManifestReferenceLastURL                      string_+
+  ManifestReferenceLinkCategory                 string_+
+  ManifestReferenceLinkForm                     string_+
+  ManifestReferenceManager                      string_+
+  ManifestReferenceManagerVariant               string_+
+  ManifestReferenceManageTo                     string_+
+  ManifestReferenceManageUI                     string_+
+  ManifestReferenceMaskMarkers                  string_+
+  ManifestReferenceOriginalDocumentID           string_+
+  ManifestReferencePartMapping                  string_+
+  ManifestReferencePlacedResolutionUnit         string_+
+  ManifestReferencePlacedXResolution            string_+
+  ManifestReferencePlacedYResolution            string_+
+  ManifestReferenceRenditionClass               string_+
+  ManifestReferenceRenditionParams              string_+
+  ManifestReferenceToPart                       string_+
+  ManifestReferenceVersionID                    string_+
+  OriginalDocumentID                            string
+  Pantry                                        PantryItem Struct+
+  PantryInstanceID                              string_
+  PreservedFileName                             string
+  RenditionClass                                string
+  RenditionOf                                   ResourceRef Struct
+  RenditionOfAlternatePaths                     string_+
+  RenditionOfDocumentID                         string_
+  RenditionOfFilePath                           string_
+  RenditionOfFromPart                           string_
+  RenditionOfInstanceID                         string_
+  RenditionOfLastModifyDate                     date_
+  RenditionOfLastURL                            string_
+  RenditionOfLinkCategory                       string_
+  RenditionOfLinkForm                           string_
+  RenditionOfManager                            string_
+  RenditionOfManagerVariant                     string_
+  RenditionOfManageTo                           string_
+  RenditionOfManageUI                           string_
+  RenditionOfMaskMarkers                        string_
+  RenditionOfOriginalDocumentID                 string_
+  RenditionOfPartMapping                        string_
+  RenditionOfPlacedResolutionUnit               string_
+  RenditionOfPlacedXResolution                  string_
+  RenditionOfPlacedYResolution                  string_
+  RenditionOfRenditionClass                     string_
+  RenditionOfRenditionParams                    string_
+  RenditionOfToPart                             string_
+  RenditionOfVersionID                          string_
+  RenditionParams                               string
+  SaveID                                        integer
+  Subject                                       string/+
+  VersionID                                     string
+  Versions                                      Version Struct+
+  VersionsComments                              string_+
+  VersionsEvent                                 ResourceEvent Struct_+
+  VersionsEventAction                           string_+
+  VersionsEventChanged                          string_+
+  VersionsEventInstanceID                       string_+
+  VersionsEventParameters                       string_+
+  VersionsEventSoftwareAgent                    string_+
+  VersionsEventWhen                             date_+
+  VersionsModifier                              string_+
+  VersionsModifyDate                            date_+
+  VersionsVersion                               string_+
+
+=head3 XMP ResourceRef Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AlternatePaths                                string+
+  DocumentID                                    string
+  FilePath                                      string
+  FromPart                                      string
+  InstanceID                                    string
+  LastModifyDate                                date
+  LastURL                                       string
+  LinkCategory                                  string
+  LinkForm                                      string
+  ManageTo                                      string
+  ManageUI                                      string
+  Manager                                       string
+  ManagerVariant                                string
+  MaskMarkers                                   string
+  OriginalDocumentID                            string
+  PartMapping                                   string
+  PlacedResolutionUnit                          string
+  PlacedXResolution                             string
+  PlacedYResolution                             string
+  RenditionClass                                string
+  RenditionParams                               string
+  ToPart                                        string
+  VersionID                                     string
+
+=head3 XMP ResourceEvent Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Action                                        string
+  Changed                                       string
+  InstanceID                                    string
+  Parameters                                    string
+  SoftwareAgent                                 string
+  When                                          date
+
+=head3 XMP ManifestItem Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  LinkForm                                      string
+  PlacedResolutionUnit                          string
+  PlacedXResolution                             real
+  PlacedYResolution                             real
+  Reference                                     ResourceRef Struct
+
+=head3 XMP PantryItem Struct
+
+This structure must have an InstanceID field, but may also contain any other
+XMP properties.
+
+  Field Name                                    Writable
+  ----------                                    --------
+  InstanceID                                    string
+
+=head3 XMP Version Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Comments                                      string
+  Event                                         ResourceEvent Struct
+  Modifier                                      string
+  ModifyDate                                    date
+  Version                                       string
+
+=head3 XMP xmpNote Tags
+
+XMP Note namespace tags.
+
+These tags belong to the ExifTool XMP-xmpNote family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  HasExtendedXMP                                string*
+
+=head3 XMP xmpPLUS Tags
+
+XMP Picture Licensing Universal System (PLUS) tags as written by some older
+Adobe applications.  See L<PLUS XMP Tags|Image::ExifTool::TagNames/PLUS XMP Tags>
+for the current PLUS tags.
+
+These tags belong to the ExifTool XMP-xmpPLUS family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  CreditLineReq                                 boolean/
+  ReuseAllowed                                  boolean/
+
+=head3 XMP xmpRights Tags
+
+XMP Rights Management namespace tags.
+
+These tags belong to the ExifTool XMP-xmpRights family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Certificate                                   string
+  Marked                                        boolean
+  Owner                                         string+
+  UsageTerms                                    lang-alt
+  WebStatement                                  string
+
+=head3 XMP xmpTPg Tags
+
+XMP Paged-Text namespace tags.
+
+These tags belong to the ExifTool XMP-xmpTPg family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Colorants                                     Colorant Struct+
+  ColorantA                                     integer_+
+  ColorantB                                     integer_+
+  ColorantBlack                                 real_+
+  ColorantBlue                                  integer_+
+  ColorantCyan                                  real_+
+  ColorantGray                                  integer_+
+  ColorantGreen                                 integer_+
+  ColorantL                                     real_+
+  ColorantMagenta                               real_+
+  ColorantMode                                  string_+
+  ColorantRed                                   integer_+
+  ColorantSwatchName                            string_+
+  ColorantTint                                  integer_+
+  ColorantType                                  string_+
+  ColorantYellow                                real_+
+  Fonts                                         Font Struct+
+  ChildFontFiles                                string_+
+  FontComposite                                 boolean_+
+  FontFace                                      string_+
+  FontFamily                                    string_+
+  FontFileName                                  string_+
+  FontName                                      string_+
+  FontType                                      string_+
+  FontVersion                                   string_+
+  HasVisibleOverprint                           boolean
+  HasVisibleTransparency                        boolean
+  MaxPageSize                                   Dimensions Struct
+  MaxPageSizeH                                  real_
+  MaxPageSizeUnit                               string_
+  MaxPageSizeW                                  real_
+  NPages                                        integer
+  PlateNames                                    string+
+  SwatchGroups                                  SwatchGroup Struct+
+  SwatchGroupsColorants                         Colorant Struct_+
+  SwatchColorantA                               integer_+
+  SwatchColorantB                               integer_+
+  SwatchColorantBlack                           real_+
+  SwatchColorantBlue                            integer_+
+  SwatchColorantCyan                            real_+
+  SwatchColorantGray                            integer_+
+  SwatchColorantGreen                           integer_+
+  SwatchColorantL                               real_+
+  SwatchColorantMagenta                         real_+
+  SwatchColorantMode                            string_+
+  SwatchColorantRed                             integer_+
+  SwatchColorantSwatchName                      string_+
+  SwatchColorantTint                            integer_+
+  SwatchColorantType                            string_+
+  SwatchColorantYellow                          real_+
+  SwatchGroupName                               string_+
+  SwatchGroupType                               integer_+
+
+=head3 XMP Font Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  ChildFontFiles                                string+
+  Composite                                     boolean
+  FontFace                                      string
+  FontFamily                                    string
+  FontFileName                                  string
+  FontName                                      string
+  FontType                                      string
+  VersionString                                 string
+
+=head3 XMP SwatchGroup Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Colorants                                     Colorant Struct+
+  GroupName                                     string
+  GroupType                                     integer
+
+=head3 XMP XML Tags
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'dc'                 dc                       XMP dc
+  'lastUpdate'         LastUpdate               no
+
+=head3 XMP SVG Tags
+
+SVG (Scalable Vector Graphics) image tags.  By default, only the top-level
+SVG and Metadata tags are extracted from these images, but all graphics tags
+may be extracted by setting the Unknown option to 2 (-U on the command
+line).  The SVG tags are not part of XMP as such, but are included with the
+XMP module for convenience.  (see L<http://www.w3.org/TR/SVG11/>)
+
+These tags belong to the ExifTool XMP-svg family 1 group.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'height'             ImageHeight              no
+  'id'                 ID                       no
+  'metadataId'         MetadataID               no
+  'version'            SVGVersion               no
+  'width'              ImageWidth               no
+
+=head2 GPS Tags
+
+These GPS tags are part of the EXIF standard, and are stored in a separate
+IFD within the EXIF information.
+
+ExifTool is very flexible about the input format when writing lat/long
+coordinates, and will accept from 1 to 3 floating point numbers (for decimal
+degrees, degrees and minutes, or degrees, minutes and seconds) separated by
+just about anything, and will format them properly according to the EXIF
+specification.
+
+Some GPS tags have values which are fixed-length strings. For these, the
+indicated string lengths include a null terminator which is added
+automatically by ExifTool.  Remember that the descriptive values are used
+when writing (eg. 'Above Sea Level', not '0') unless the print conversion is
+disabled (with '-n' on the command line or the PrintConv option in the API,
+or by suffixing the tag name with a C<#> character).
+
+When adding GPS information to an image, it is important to set all of the
+following tags: GPSLatitude, GPSLatitudeRef, GPSLongitude, GPSLongitudeRef,
+and GPSAltitude and GPSAltitudeRef if the altitude is known.  ExifTool will
+write the required GPSVersionID tag automatically if new a GPS IFD is added
+to an image.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0000   GPSVersionID                         int8u[4]:
+  0x0001   GPSLatitudeRef                       string[2]
+  0x0002   GPSLatitude                          rational64u[3]
+  0x0003   GPSLongitudeRef                      string[2]
+  0x0004   GPSLongitude                         rational64u[3]
+  0x0005   GPSAltitudeRef                       int8u
+  0x0006   GPSAltitude                          rational64u
+  0x0007   GPSTimeStamp                         rational64u[3]
+  0x0008   GPSSatellites                        string
+  0x0009   GPSStatus                            string[2]
+  0x000a   GPSMeasureMode                       string[2]
+  0x000b   GPSDOP                               rational64u
+  0x000c   GPSSpeedRef                          string[2]
+  0x000d   GPSSpeed                             rational64u
+  0x000e   GPSTrackRef                          string[2]
+  0x000f   GPSTrack                             rational64u
+  0x0010   GPSImgDirectionRef                   string[2]
+  0x0011   GPSImgDirection                      rational64u
+  0x0012   GPSMapDatum                          string
+  0x0013   GPSDestLatitudeRef                   string[2]
+  0x0014   GPSDestLatitude                      rational64u[3]
+  0x0015   GPSDestLongitudeRef                  string[2]
+  0x0016   GPSDestLongitude                     rational64u[3]
+  0x0017   GPSDestBearingRef                    string[2]
+  0x0018   GPSDestBearing                       rational64u
+  0x0019   GPSDestDistanceRef                   string[2]
+  0x001a   GPSDestDistance                      rational64u
+  0x001b   GPSProcessingMethod                  undef
+  0x001c   GPSAreaInformation                   undef
+  0x001d   GPSDateStamp                         string[11]
+  0x001e   GPSDifferential                      int16u
+  0x001f   GPSHPositioningError                 rational64u
+
+=head2 GeoTiff Tags
+
+ExifTool extracts the following tags from GeoTIFF images.  See
+L<http://www.remotesensing.org/geotiff/spec/geotiffhome.html> for the
+complete GeoTIFF specification.  Also included in the table below are
+ChartTIFF tags (see L<http://www.charttiff.com/whitepapers.shtml>). GeoTIFF
+tags are not writable individually, but they may be copied en mass via the
+block tags GeoTiffDirectory, GeoTiffDoubleParams and GeoTiffAsciiParams.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   GeoTiffVersion                       no
+  0x0400   GTModelType                          no
+  0x0401   GTRasterType                         no
+  0x0402   GTCitation                           no
+  0x0800   GeographicType                       no
+  0x0801   GeogCitation                         no
+  0x0802   GeogGeodeticDatum                    no
+  0x0803   GeogPrimeMeridian                    no
+  0x0804   GeogLinearUnits                      no
+  0x0805   GeogLinearUnitSize                   no
+  0x0806   GeogAngularUnits                     no
+  0x0807   GeogAngularUnitSize                  no
+  0x0808   GeogEllipsoid                        no
+  0x0809   GeogSemiMajorAxis                    no
+  0x080a   GeogSemiMinorAxis                    no
+  0x080b   GeogInvFlattening                    no
+  0x080c   GeogAzimuthUnits                     no
+  0x080d   GeogPrimeMeridianLong                no
+  0x080e   GeogToWGS84                          no
+  0x0c00   ProjectedCSType                      no
+  0x0c01   PCSCitation                          no
+  0x0c02   Projection                           no
+  0x0c03   ProjCoordTrans                       no
+  0x0c04   ProjLinearUnits                      no
+  0x0c05   ProjLinearUnitSize                   no
+  0x0c06   ProjStdParallel1                     no
+  0x0c07   ProjStdParallel2                     no
+  0x0c08   ProjNatOriginLong                    no
+  0x0c09   ProjNatOriginLat                     no
+  0x0c0a   ProjFalseEasting                     no
+  0x0c0b   ProjFalseNorthing                    no
+  0x0c0c   ProjFalseOriginLong                  no
+  0x0c0d   ProjFalseOriginLat                   no
+  0x0c0e   ProjFalseOriginEasting               no
+  0x0c0f   ProjFalseOriginNorthing              no
+  0x0c10   ProjCenterLong                       no
+  0x0c11   ProjCenterLat                        no
+  0x0c12   ProjCenterEasting                    no
+  0x0c13   ProjCenterNorthing                   no
+  0x0c14   ProjScaleAtNatOrigin                 no
+  0x0c15   ProjScaleAtCenter                    no
+  0x0c16   ProjAzimuthAngle                     no
+  0x0c17   ProjStraightVertPoleLong             no
+  0x0c18   ProjRectifiedGridAngle               no
+  0x1000   VerticalCSType                       no
+  0x1001   VerticalCitation                     no
+  0x1002   VerticalDatum                        no
+  0x1003   VerticalUnits                        no
+  0xb799   ChartFormat                          no
+  0xb79a   ChartSource                          no
+  0xb79b   ChartSourceEdition                   no
+  0xb79c   ChartSourceDate                      no
+  0xb79d   ChartCorrDate                        no
+  0xb79e   ChartCountryOrigin                   no
+  0xb79f   ChartRasterEdition                   no
+  0xb7a0   ChartSoundingDatum                   no
+  0xb7a1   ChartDepthUnits                      no
+  0xb7a2   ChartMagVar                          no
+  0xb7a3   ChartMagVarYear                      no
+  0xb7a4   ChartMagVarAnnChange                 no
+  0xb7a5   ChartWGSNSShift                      no
+  0xb7a7   InsetNWPixelX                        no
+  0xb7a8   InsetNWPixelY                        no
+  0xb7a9   ChartContourInterval                 no
+
+=head2 PLUS Tags
+
+=head3 PLUS XMP Tags
+
+PLUS (Picture Licensing Universal System) License Data Format 1.2.1 XMP
+tags.  Note that all controlled-vocabulary tags in this table (ie. tags with
+a fixed set of values) have raw values which begin with
+"http://ns.useplus.org/ldf/vocab/", but to reduce clutter this prefix has
+been removed from the values shown below.  See L<http://ns.useplus.org/> for
+the complete specification.
+
+These tags belong to the ExifTool XMP-plus family 1 group.
 
   Tag Name                                      Writable
